Bug 1542550 (CVE-2018-6767) - CVE-2018-6767 wavpack: stack buffer overread via crafted wav file
Summary: CVE-2018-6767 wavpack: stack buffer overread via crafted wav file
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2018-6767
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1542551 1542552 1543293
Blocks: 1542555
TreeView+ depends on / blocked
 
Reported: 2018-02-06 14:55 UTC by Laura Pardo
Modified: 2019-09-29 14:31 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
An out-of-bounds stack buffer read flaw was found in WavPack. This flaw could potentially be used to crash WavPack CLI utilities by tricking them into processing specially crafted WAVE files.
Clone Of:
Environment:
Last Closed: 2019-07-12 13:05:02 UTC


Attachments (Terms of Use)

Description Laura Pardo 2018-02-06 14:55:22 UTC
A flaw was found in wavpack 5.1.0-2. Running 'wavpack -y poc.wav' with a maliciously crafted file could cause the application to crash, which may allow an attacker to perform a denial-of-service attack.


Upstream bug:
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=889276
https://github.com/dbry/WavPack/issues/27

Upstream patch:
https://github.com/dbry/WavPack/commit/d5bf76b5a88d044a1be1d5656698e3ba737167e5

Comment 1 Laura Pardo 2018-02-06 14:55:55 UTC
Created mingw-wavpack tracking bugs for this issue:

Affects: epel-7 [bug 1542551]


Created wavpack tracking bugs for this issue:

Affects: fedora-all [bug 1542552]

Comment 7 Product Security DevOps Team 2019-07-12 13:05:02 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-6767


Note You need to log in before you can comment on or make changes to this bug.